Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class SubstanceWithStandardsType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.refdata.SubstanceKeyType
          be.fgov.ehealth.dics.protocol.v4.SubstanceWithStandardsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:28:56+02:00",
               comments="JAXB RI v2.2.11")
    public class SubstanceWithStandardsType

extends SubstanceKeyType
implements Serializable

Java class for SubstanceWithStandardsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubstanceWithStandardsType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}SubstanceKeyType">
           <sequence>
             <element name="ChemicalForm" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             <element name="StandardSubstance" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultStandardSubstanceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SubstanceWithStandardsType()`

Method Summary
`String` | `getChemicalForm()` Gets the value of the chemicalForm property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`ConsultTextType` | `getNote()` Gets the value of the note property.
`List<ConsultStandardSubstanceType>` | `getStandardSubstances()` Gets the value of the standardSubstances property.
`void` | `setChemicalForm(String value)` Sets the value of the chemicalForm property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.
`void` | `setNote(ConsultTextType value)` Sets the value of the note property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.SubstanceKeyType
`getCode, setCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubstanceWithStandardsType

    public SubstanceWithStandardsType()

Method Detail

### getChemicalForm

    public String getChemicalForm()

  Gets the value of the chemicalForm property.

  Returns:
    possible object is `String`

### setChemicalForm

    public void setChemicalForm(String value)

  Sets the value of the chemicalForm property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getNote

    public ConsultTextType getNote()

  Gets the value of the note property.

  Returns:
    possible object is `ConsultTextType`

### setNote

    public void setNote(ConsultTextType value)

  Sets the value of the note property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getStandardSubstances

    public List<ConsultStandardSubstanceType> getStandardSubstances()

  Gets the value of the standardSubstances property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardSubstances property.

  For example, to add a new item, do as follows:

          getStandardSubstances().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultStandardSubstanceType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.